### Signal

# Manette Device::button-press-event

#### Declaration

    void
    button_press_event (
      ManetteDevice* self,
      ManetteEvent* event,
      gpointer user_data
    )

#### Description [src]

Emitted when a button is pressed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`event`

  Type: `ManetteEvent`

  The event emitted by the device.

  The data is owned by the caller of the function.